Macro FlattenWire

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Macro FlattenWire and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎svenska • ‎čeština

Macro FlattenWire.png FlattenWire

Description
Cette macro aplatit les fils (Wire) du projet qui ne sont pas plan à la médiane de leurs coordonnées z

Version macro : 1.0
Date dernière modification : 2011-08-01
Version FreeCAD : Toutes
Téléchargement : ToolBar Icon
Auteur
Yorik
Téléchargement
ToolBar Icon
Liens
Version Macro
1.0
Dernière modification
2011-08-01
Version(s) FreeCAD
Toutes
Raccourci clavier
None
Voir aussi
None


Description

Cette macro aplatit les fils (Wire) du projet qui ne sont pas plan à la médiane de leurs coordonnées z

Script

ToolBar Icon Macro FlattenWire.png

Macro_FlattenWire.FCMacro

import FreeCAD
obj = FreeCAD.ActiveDocument.ActiveObject
z = 0
for p in obj.Points: z += p.z
z = z/len(obj.Points)
newpoints = []
for p in obj.Points: newppoints.append(FreeCAD.Vector(p.x,p.y,z))
obj.Points = newppoints